Skip to content
DeepfireDeepfire Docs
Esc
navigateopen⌘Jpreview

Get a static heat source by ID

Fetch the feature with id featureId in the feature collection with id collectionId.

Use content negotiation to request HTML or GeoJSON.

GET/collections/deepfire:static-heat-sources/items/{featureId}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Access token from POST https://api.deepfire.co/v1/token with your client_id and client_secret.
Path parameters
featureIdstringrequired
local identifier of a feature
Query parameters
crsstring<uri>
otherParametersobject
Allows unrecognized parameters to be added in the query string without getting a 400 back (e.g., cache busters)
Responses
200fetch the feature with id `featureId` in the feature collection with id `collectionId`
typestringrequired
Allowed:Feature
geometrygeometryGeoJSONrequired
Show properties
One of:
pointGeoJSON
typestringrequired
Allowed:Point
coordinatesnumber[]required
min items 2
multipointGeoJSON
typestringrequired
Allowed:MultiPoint
coordinatesnumber[][]required
linestringGeoJSON
typestringrequired
Allowed:LineString
coordinatesnumber[][]required
min items 2
multilinestringGeoJSON
typestringrequired
Allowed:MultiLineString
coordinatesnumber[][][]required
polygonGeoJSON
typestringrequired
Allowed:Polygon
coordinatesnumber[][][]required
multipolygonGeoJSON
typestringrequired
Allowed:MultiPolygon
coordinatesnumber[][][][]required
geometrycollectionGeoJSON
typestringrequired
Allowed:GeometryCollection
geometriesgeometryGeoJSON[]required
Show properties
Array of geometryGeoJSON
Circular reference to geometryGeoJSON.
propertiesobject | nullrequired
idstring | integer
Show properties
One of:
string
string
integer
integer
linkslink[]
Show properties
Array of link
hrefstringrequired
relstring
typestring
hreflangstring
titlestring
lengthinteger
404The requested URI was not found.
500A server error occurred.
codestringrequired
descriptionstring
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.deepfire.co/ogc/features/v1/collections/deepfire:static-heat-sources/items/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "type": "Feature",
  "geometry": {
    "type": "Point",
    "coordinates": [
      0,
      0
    ]
  },
  "properties": {},
  "id": "string",
  "links": [
    {
      "href": "http://data.example.com/buildings/123",
      "rel": "alternate",
      "type": "application/geo+json",
      "hreflang": "en",
      "title": "Trierer Strasse 70, 53115 Bonn",
      "length": 0
    }
  ]
}